Skip to main content

Mapbox Vector Tile Boundaries beta

GET 

/v4/boundaries/vector-tile/:x/:y/:z

This endpoint is in beta and not yet ready for production. Check out the LiveBy API Beta Endpoints Program for more information.

Get a mapbox vector tile. This endpoint is intended to be used by a map library that supports Mapbox Vector Tiles. For most map libraries, the base tile endpoint will be https://api.liveby.com/v4/boundaries/vector-tile/{x}/{y}/{z}

Currently, the vector tile API only supports at zoom level 7 and greater.

The query parameters are the same as the search-boundaries endpoint.

Each boundary is separated into its own "layer-source" based on its layer. For instance, https://api.liveby.com/v4/boundaries/28/48/7?layer=neighborhood&layer=city will provide a source vector tile with 4 source-layers, one for the neighborhood polygon data, one for the neighborhood-label label point, one for the city polygon source, and one for the city-label. The ID provided from this API is a vector tile ID, and not the standard boundary ID. To get the standard boundary ID, use the _id field.

To keep this API as fast as possible, a small subset of data is returned. Only name, _id, boundingBox and layer are returned.

For more information about source-layers, see the Mapbox source-layers documentation.

Request

Path Parameters

    x numberrequired

    Mapbox Tile Layer X value. This value should be generated by your mapping library.

    y numberrequired

    Mapbox Tile Layer Y value. This value should be generated by your mapping library.

    z numberrequired

    Mapbox Tile Layer Z value. This value should be generated by your mapping library.

Responses

Schema

    success booleanrequired

    pagination

    object

    required

    pageTotal numberrequired
    limit numberrequired
    offset numberrequired

    data

    object[]

  • Array [

  • id stringrequired

    The LiveBy Boundary ID.

    address

    object

    required

    This is a geocoded point near the center of the shape. While the query parameters specify area-level-1 as a standard field, this address uses the local name for area names E.G. state, county, province, village.

    postcode string
    city string
    municipality string
    village string
    district string
    subdistrict string
    archipelago string
    territory string
    island string
    province string
    state string
    county string
    township string
    region string
    town string
    locality string
    layer stringrequired
    private booleanrequired
    status stringrequired
    osmLevel numbernullablerequired

    Possible values: >= 1 and <= 11

    name stringrequired
    virtualLayers string[]required
    vectorTileId numberrequired

    labelLocation

    object

    required

    type stringrequired
    coordinates number[]required

    Possible values: >= 2, <= 2

    boundingBox

    object

    required

    type stringrequired

    coordinates

    object

    required

    oneOf

  • Array [

  • type
    items number[]

    Possible values: >= 2, <= 2

  • ]

  • geometry

    object

    The geometry for the boundary. This propertye is only included when includeGeometries is set to true when calling the /v4/boundaries endpoint. It is always returned when calling the /v4/boundaries/:id endpoint.

    type stringrequired

    coordinates

    object

    required

    oneOf

  • Array [

  • type
    items array[]

    Possible values: >= 2, <= 2

  • ]

  • censusId stringnullablerequired
    createdAt date-timerequired
    updatedAt date-timerequired
  • ]

Loading...